// -------------------------------------------------------------------------------------------------
// xsBotonNumerico.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la librería
#include "xsEasyCpp.hpp"

#ifndef __xsBotonNumerico_hpp__
#define __xsBotonNumerico_hpp__

Clase xsBotonNumerico : Publica xsObjeto
{
	Publica:

	    xsBotonNumerico();

		Vacio crear(Doble minimo,
		            Doble maximo,
					Doble incremento);

	    xsBotonNumerico(Doble minimo,
		                Doble maximo,
						Doble incremento);

		Vacio colocarRango(Doble minimo,
		                   Doble maximo);

		Vacio obtenerRango(Doble* minimo,
		                   Doble* maximo);

		Vacio colocarIncremento(Doble incremento, 
		                        Doble pagina);

		Vacio obtenerIncremento(Doble* incremento, 
		                        Doble* pagina);

		Vacio colocarPrecision(Entero precision);

		Entero obtenerPrecision();

		Vacio colocarValor(Doble valor);

		Doble obtenerValor();

		Entero obtenerValorEntero();

		Vacio colocarRotar(Logico rotar);

		Logico obtenerRotar();				

		Vacio incrementar(Doble incremento);
};

// Fin de la Definición del Archivo
#endif
